package de.ivu.elect.presentation.wahlbeteiligung.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Named;

import de.ivu.elect.business.wahlbeteiligung.entity.Wahlbeteiligung;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(WahlbeteiligungActionMenu.COMPONENT_NAME)
public class WahlbeteiligungActionMenu extends AbstractActionMenuModelBuilder<Wahlbeteiligung> {

  public static final String COMPONENT_NAME = "wahlbeteiligungActionMenu";

  private static final long serialVersionUID = 1L;

  public WahlbeteiligungActionMenu() {
    super();
  }

  @Override
  protected List<ActionEntry<Wahlbeteiligung>> getActionEntriesSorted() {
    List<ActionEntry<Wahlbeteiligung>> result = new ArrayList<>();

    return result;
  }
}
